#!/usr/bin/env python3
def make_bitseq(s: str) -> str:
   if not s.isascii():
      print("not ASCII value:")
   return s + "[" + str(len(s)) + "] : " + (" ".join(f"{ord(i):08b}" for i in s))
print(make_bitseq("bits"))
print(make_bitseq("CAPS"))
print(make_bitseq("$25.43"))
print(make_bitseq("~5"))
переменная = 'переменная'
print(make_bitseq(переменная))
Δv = "дельта Δ"
print(make_bitseq(Δv))
π = str(3.1415926)
print(make_bitseq(π))
