#!/usr/bin/env python3

def power(a:float, n:int) -> (float, int):
   if n == 1 : return (a, 0)
   (a2, m) = power(a, n // 2)
   a2 = a2 * a2
   m += 1 
   if n % 2 != 0:
      a2 *= a
      m += 1
   return a2, m

while(True):
   try:
      e = float(input("что возводить? : "))
      n = int(input("в какую степень? : "))
      r = power(e, n)
      print("{}^{} = {:.5e}, число умножений {}".
            format(e, n, r[0], r[1]))
   except ValueError:
      print("ошибочный формат ввода!")
      continue
   except KeyboardInterrupt:
      break
   except EOFError:
      break      
print('\rзавершение работы')

