#!/usr/bin/env python3

def crypt(alphabet, line, word):
   result = ""
   for i in range(len(line)):
      l_dig = alphabet.find(line[i])
      w_dig = alphabet.find(word[i % len(word)])
      m = (l_dig + w_dig) % len(alphabet)
      result += alphabet[m]
   return result   

def decrypt(alphabet, line, word):
   result = ""
   for i in range(len(line)):
      l_dig = alphabet.find(line[i])
      w_dig = alphabet.find(word[i % len(word)])
      m = l_dig - w_dig
      if m < 0:
         m += len(alphabet)
      result += alphabet[m]
   return result

alphabet = 'АБВГДЕЁЖЗИЙКЛМНОПРСТУФХЦЧШЩЪЫЬЭЮЯ'
line     = 'КОДИРОВАНИЕ'
word     = 'ЧИСЛО'
print("алфавит:        ", alphabet)
print("ключ:           ", word)
print("исходное:       ", line)
result = crypt(alphabet, line, word)
print("кодированное:   ", result)
print("декодированное: ", decrypt(alphabet, result, word))
print()

alphabet = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'
line     = 'ENCRYPTION'
word     = 'NUMBER'
print("алфавит:        ", alphabet)
print("ключ:           ", word)
print("исходное:       ", line)
result = crypt(alphabet, line, word)
print("кодированное:   ", result)
print("декодированное: ", decrypt(alphabet, result, word))
